locked
You must use the Role Management Tool to install or configure Microsoft .NET Framework 3.5 SP1

    Question

  • I am trying to install CS2009 on Windows Server 2008 R2 for which one of the pre-requisite is .NET Framework SP1. When i execute the installable it is showing up this message "You must use the Role Management Tool to install or configure Microsoft .NET Framework 3.5 SP1." However I have already enabled "Application Server" feture under Roles. Not able to figure out how to install SP1..... Help is highly appreciated


    - Vinay Bhat
    Monday, November 30, 2009 11:00 PM

Answers

  • Hi Guys,

    I got solution, refer to KB article http://support.microsoft.com/kb/975567 - FIX: When you try to install Commerce Server 2009 on a computer that is running Windows Server 2008 R2, the installation fails.

    Regards,
    - Vinay Bhat


    - Vinay Bhat
    • Marked as answer by VinayBhat Tuesday, December 01, 2009 5:02 PM
    Tuesday, December 01, 2009 5:02 PM

All replies

  • Hi Vinay,

    Windows Server 2008 R2 includes .Net Framework 3.5 with SP1 with the OS. You can install it from --> Server Manager --> Features --> .Net Framework 3.5.1 Features.

    By default, the system comes with .Net Framwork Setup v2.0.50727 installed. You can verify it via the following registry key
    HKEY_LOCAL_MACHINE\SOFTWARE\Microsoft\NET Framework Setup\NDP


    - Version REG_SZ 2.0.50727

    Best Regards,
    Wilson Jia

    This posting is provided "AS IS" with no warranties, and confers no rights.
    • Proposed as answer by Wilson Jia Tuesday, December 01, 2009 1:41 AM
    Tuesday, December 01, 2009 1:41 AM
  • Dear Wilson,

    Thanks for your reply, as I said above, I have already installed 3.5.1 feature but when I try to install Commerce Server 2009 it is saying that  "You must install .NET Framework 3.5 with SP1 to continue with this update." I really don't know how to fix this issue.

    Regards,
    Vinay Bhat

    - Vinay Bhat
    Tuesday, December 01, 2009 2:59 PM
  • Hi Guys,

    I got solution, refer to KB article http://support.microsoft.com/kb/975567 - FIX: When you try to install Commerce Server 2009 on a computer that is running Windows Server 2008 R2, the installation fails.

    Regards,
    - Vinay Bhat


    - Vinay Bhat
    • Marked as answer by VinayBhat Tuesday, December 01, 2009 5:02 PM
    Tuesday, December 01, 2009 5:02 PM